org.apache.pdfbox.pdmodel.interactive.action

## Class PDPageAdditionalActions

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDPageAdditionalActions

All Implemented Interfaces:
  COSObjectable

    public class PDPageAdditionalActions
    extends Object
    implements COSObjectable

This class represents a page object's dictionary of actions that occur due to events.

Author:
  Ben Litchfield, Panagiotis Toumasis

### Constructor Summary

Constructors
Constructor and Description
`PDPageAdditionalActions()` Default constructor.
`PDPageAdditionalActions(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDAction` `getC()` This will get an action to be performed when the page is closed.
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`PDAction` `getO()` This will get an action to be performed when the page is opened.
`void` `setC(PDAction c)` This will set an action to be performed when the page is closed.
`void` `setO(PDAction o)` This will set an action to be performed when the page is opened.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDPageAdditionalActions

    public PDPageAdditionalActions()

Default constructor.

#### PDPageAdditionalActions

    public PDPageAdditionalActions(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getO

    public PDAction getO()

This will get an action to be performed when the page is opened. This action is independent of any that may be defined by the OpenAction entry in the document catalog, and is executed after such an action.

Returns:
  The O entry of page object's additional actions dictionary.

#### setO

    public void setO(PDAction o)

This will set an action to be performed when the page is opened. This action is independent of any that may be defined by the OpenAction entry in the document catalog, and is executed after such an action.

Parameters:
  `o` - The action to be performed.

#### getC

    public PDAction getC()

This will get an action to be performed when the page is closed. This action applies to the page being closed, and is executed before any other page opened.

Returns:
  The C entry of page object's additional actions dictionary.

#### setC

    public void setC(PDAction c)

This will set an action to be performed when the page is closed. This action applies to the page being closed, and is executed before any other page opened.

Parameters:
  `c` - The action to be performed.